import { TextCustomCssProps } from "../../utils/style/textStyle";
export declare const VARIANTS: {
    readonly noUnderline: "noUnderline";
    readonly underline: "underline";
    readonly arrow: "arrow";
};
export type Variant = keyof typeof VARIANTS;
export type ComponentProps = {
    children: string;
    href: string;
} & HyperlinkStyle;
export type HyperlinkStyle = {
    variant?: Variant;
} & TextCustomCssProps;
export type HocHyperlinkData = {
    href: string;
    label: string;
};
