export declare const BREAKPOINTS: {
    readonly desktop: "1920px";
    readonly laptop: "1280px";
    readonly tablet: "1024px";
    readonly mobile: "768px";
};
export type Breakpoints = keyof typeof BREAKPOINTS;
export declare const MAX_WIDTH_QUERY: {
    desktop: string;
    laptop: string;
    tablet: string;
    mobile: string;
};
