import React from 'react';
import { CustomColor } from "../../../constants/themes/colors";
import { HocButtonData, ButtonStyle } from "../../../components/Button/types";
type ComponentProps = {
    data: {
        title: string;
        desc?: string;
        button1?: HocButtonData;
        button2?: HocButtonData;
    };
    customStyle?: {
        background?: {
            color: CustomColor;
        };
        title?: {
            color: CustomColor;
        };
        desc?: {
            color: CustomColor;
        };
        button1?: ButtonStyle;
        button2?: ButtonStyle;
    };
};
export declare const CtaBanner21: React.FC<ComponentProps>;
export {};
